//
//  ViewController.m
//  button标记
//
//  Created by Hero11223 on 16/7/1.
//  Copyright © 2016年 zyy. All rights reserved.
//

#import "ViewController.h"

#define MainScreen_width  [UIScreen mainScreen].bounds.size.width//宽
#define MainScreen_height [UIScreen mainScreen].bounds.size.height//高
#define INTERVALSIZE (MainScreen_width - 90*3)/4
#define BTN_WIDTH  90
#define BTN_HEIGHT 90

@interface ViewController ()
{
    UIButton *_buttons;
    UILabel *_defaultLab;
}

@end

@implementation ViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    // Do any additional setup after loading the view.
    self.title = @"button标记";
    self.view.backgroundColor = [UIColor whiteColor];
    
    for (int i =0; i<9; i++) {
        
        float a = INTERVALSIZE +i%3*(BTN_WIDTH+INTERVALSIZE);
        float b = INTERVALSIZE*4 +i/3*(BTN_WIDTH+INTERVALSIZE);
        
        _buttons = [UIButton buttonWithType:UIButtonTypeCustom];
        _buttons.frame = CGRectMake(a, b, BTN_WIDTH, BTN_HEIGHT);
        _buttons.backgroundColor = [UIColor redColor];
        [_buttons addTarget:self action:@selector(btnClick:) forControlEvents:UIControlEventTouchUpInside];
        _buttons.tag = i + 1;
        [self.view addSubview:_buttons];
        
        UILabel *labs = [[UILabel alloc]initWithFrame:CGRectMake(a, b+70, BTN_WIDTH, 20)];
        labs.hidden = YES;
        labs.userInteractionEnabled = YES;
        labs.tag = i+10;
        [self.view addSubview:labs];
        
        if (i == 0) {
            
            labs.hidden = NO;
            labs.text = @"默认封面";
            labs.textAlignment = NSTextAlignmentCenter;
            labs.backgroundColor = [UIColor grayColor];
            labs.textColor = [UIColor whiteColor];
            _defaultLab = labs;
            
        }
    }
    
}

-(void)btnClick:(id)sender
{
    UIButton *bg_imgBtn = (UIButton *)sender;
    NSLog(@"bg_imgBtn is %ld",(long)bg_imgBtn.tag);
    NSInteger bgTags = bg_imgBtn.tag;
    
    NSInteger tag = bgTags - 1+10;
    _defaultLab.hidden = YES;
    UILabel *label = (UILabel *)[self.view viewWithTag:tag];
    label.hidden = NO;
    label.text = @"设为封面";
    label.textAlignment = NSTextAlignmentCenter;
    label.backgroundColor = [UIColor grayColor];
    label.textColor = [UIColor whiteColor];
    _defaultLab = label;
    
}

- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

@end
